<?php

# HTML Tree Class File
require("inc/htmlTree.php");

#######################################################################
# HTML Tree Functions and actions, do not change code from here below #
#######################################################################

# Determine if item has been selected
if ($sel && $sel != "null") {
	$itemSelected = true;
}

# Determine selected directory
if ((!$sel || $sel==0) && $ROOTITEM && ($dir==$ROOTDIR || !$dir)) {
	$sel = $ROOTITEM;
}

if (is_uploaded_file($itemFile) && !$confirmActn=="true") {
	if ($binary=="false") {
		$itemText=fileToString($itemFile);
		if (!$name) {
			$name=$itemFile_name;
		}
	}
}

if ($htmlOptions && $itemText && $confirmActn=="true") {
	if ($htmlOptions=="format") {
		$itemText=str_replace("\n", "<BR>", $itemText);
	}
	else if ($htmlOptions=="pre") {
		$itemText="<PRE>".$itemText."</PRE>";
	}
}

# Changes to accomodate to php installations without register globals enabled
$dir=getHTMLVariable ($HTTP_GET_VARS, $HTTP_POST_VARS, "dir");
$sel=getHTMLVariable ($HTTP_GET_VARS, $HTTP_POST_VARS, "sel");
$id=getHTMLVariable ($HTTP_GET_VARS, $HTTP_POST_VARS, "id");
$sortmethod=getHTMLVariable ($HTTP_GET_VARS, $HTTP_POST_VARS, "sortmethod");
$viewoption=getHTMLVariable ($HTTP_GET_VARS, $HTTP_POST_VARS, "viewoption");
$sessionid=getHTMLVariable ($HTTP_GET_VARS, $HTTP_POST_VARS, "sessionid");
$kp3=getHTMLVariable ($HTTP_GET_VARS, $HTTP_POST_VARS, "kp3");

$myhtmltree=new HTMLTree($DBSERVER, $DB, $DBUSER, $DBPSWD, $IMGURL, $DIRIMG, $ADIRIMG, $ITEMIMG, $AITEMIMG, $TREEFONT, $ATREEFONT, $ITEMFONT, $ERRMSG, $ROOTDIR, $CREATETABLES, $REMOTE_USER, $dir, $sel, $id, $sortmethod, $viewoption, $sessionid, $kp3, $TEXTCOLOR, $BORDERCOLOR, $LIGHTCOLOR, $DARKCOLOR, $ERRORCOLOR, $ITEMPERCOLUMN, $CREATEDB, $FILEDIR, $RESTOREPREVSELECTION, $BINITEMIMG, $ABINITEMIMG, $EMBEDCODE, $APPURL, $SESSION);
if (!$dir) {
	$dir=$ROOTDIR;
}
if ($myhtmltree->accessLevel($dir)) {
	$sel=$myhtmltree->SEL;
}

# User is downloading a file
if ($downloadFile=="true") {
	$myhtmltree->printFileType();
	$myhtmltree->printFileData();
}
else {

# Store User selection or restore prior selection
if (!$dir && !$sel && !$sortmethod && !$viewoption) {
	$myhtmltree->restoreUserSelection();
	$dir = $myhtmltree->ADIR;
	$sel = $myhtmltree->SEL;
	$sortmethod = $myhtmltree->SORTMETHOD;
	$viewoption = $myhtmltree->VIEWOPTION;
}
else {
	$myhtmltree->storeUserSelection();
}

$useTemplate = false;

# Determine HTML tree page and create page titles
if ($cat == "search") {
	$useTemplate = true;
	$TITLE = $TITLE." - Search";
	$content = $SEARCHPAGE;	
}
else if ($cat == "itemform" || $cat == "newitemform") {
	if ($cat == "newitemform") {
		$TITLE = $TITLE." - Create New Item";
		$objimg=$ITEMIMG;
	}
	else {
		$TITLE  = $TITLE." ";
		$TITLE .= lang('- edit item:');
		$TITLE .= " ".$myhtmltree->getTreeText($id);
		$objimg=$AITEMIMG;
	}
	$content = $OBJFORMPAGE;
}	
else if ($cat == "dirform" || $cat == "newdirform") {
	if ($cat == "newdirform") {
		$TITLE  = $TITLE." ";
		$TITLE .= lang('- Create New Directory');
		$objimg=$ADIRIMG;
	}
	else {
		$TITLE  = $TITLE." ";
		$TITLE .= lang('- Edit Directory:');
		$TITLE .= " ".$myhtmltree->getTreeText($id);	
		$objimg=$DIRIMG;
	}
	$content = $OBJFORMPAGE;	
}	
else if ($cat == "mv" || $cat == "cp") {

	# Determine if copy or move should be processed
	if ($id && $dirID &&  $isCpMvConfirmed) {
		$cpMvError = $myhtmltree->cpMvElement($cat, $id, $dirID, $newName);
	}

	# Determine if item or directory is being moved
	if ($id > 1000000) {
		$item  = " ";
		$item .=lang('- item');
	} else {
		$item  = " ";
		$item .= lang('- directory');
	}	

	# Determine if action is copy or move
	if ($cat == "mv") {
		$TITLE  = $TITLE." - ";
		$TITLE .= lang('- move');
		$TITLE .= $item.": ".$myhtmltree->getTreeText($id);
		$catTitle = lang('- move');
	}
	else {
		$TITLE  = $TITLE." - ";
		$TITLE .= lang('- copy');
		$TITLE .= $item.": ".$myhtmltree->getTreeText($id);
		$catTitle = lang('- copy');
	}
	
	$content = $CPMVPAGE;
}	
else {
	$useTemplate = true;
	if ($cat == "delitem" && $delowner) {
		$myhtmltree->deleteTreeElement ($delowner);
	}
	$content = $TREEPAGE;
}

# Create page

if ($useTemplate) {
	include $HEADERPAGE;
}
else {
	echo "<HTML>\n<HEAD>\n<TITLE>".$TITLE."</TITLE>\n\n";
	include $FUNCTIONSPAGE;
	echo "\n\n</HEAD><BODY>\n\n";
}

// print("<br>PHPGW_ACL_ADD = " . PHPGW_ACL_ADD . "<br>\n");
include $content;

if ($useTemplate) {
	include $FOOTERPAGE;
}
else {
	echo "</BODY></HTML>";
}
}

# Destroy html tree object
$myhtmltree->destroy();
unset($myhtmltree);
?>
